Package org.lwjgl.opengles

# Class EXTRobustness

java.lang.Object
org.lwjgl.opengles.EXTRobustness

public final class EXTRobustness extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CONTEXT_ROBUST_ACCESS_EXT`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_GUILTY_CONTEXT_RESET_EXT`
Returned by GetGraphicsResetStatusEXT:
`static final int`
`GL_INNOCENT_CONTEXT_RESET_EXT`
Returned by GetGraphicsResetStatusEXT:
`static final int`
`GL_LOSE_CONTEXT_ON_RESET_EXT`
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :
`static final int`
`GL_NO_ERROR`
Returned by GetGraphicsResetStatusEXT:
`static final int`
`GL_NO_RESET_NOTIFICATION_EXT`
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :
`static final int`
`GL_RESET_NOTIFICATION_STRATEGY_EXT`
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_UNKNOWN_CONTEXT_RESET_EXT`
Returned by GetGraphicsResetStatusEXT:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glGetGraphicsResetStatusEXT()`
`static void`
`glGetnUniformEXT(int program, int location, FloatBuffer params)`
`static void`
`glGetnUniformEXT(int program, int location, IntBuffer params)`
`static void`
`glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, ByteBuffer data)`
`static void`
`glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, FloatBuffer data)`
`static void`
`glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, IntBuffer data)`
`static void`
`glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, ShortBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_NO_ERROR

public static final int GL_NO_ERROR
Returned by GetGraphicsResetStatusEXT:

See Also:
  - Constant Field Values

### GL_GUILTY_CONTEXT_RESET_EXT

public static final int GL_GUILTY_CONTEXT_RESET_EXT
Returned by GetGraphicsResetStatusEXT:

See Also:
  - Constant Field Values

### GL_INNOCENT_CONTEXT_RESET_EXT

public static final int GL_INNOCENT_CONTEXT_RESET_EXT
Returned by GetGraphicsResetStatusEXT:

See Also:
  - Constant Field Values

### GL_UNKNOWN_CONTEXT_RESET_EXT

public static final int GL_UNKNOWN_CONTEXT_RESET_EXT
Returned by GetGraphicsResetStatusEXT:

See Also:
  - Constant Field Values

### GL_CONTEXT_ROBUST_ACCESS_EXT

public static final int GL_CONTEXT_ROBUST_ACCESS_EXT
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_RESET_NOTIFICATION_STRATEGY_EXT

public static final int GL_RESET_NOTIFICATION_STRATEGY_EXT
Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_LOSE_CONTEXT_ON_RESET_EXT

public static final int GL_LOSE_CONTEXT_ON_RESET_EXT
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :

See Also:
  - Constant Field Values

### GL_NO_RESET_NOTIFICATION_EXT

public static final int GL_NO_RESET_NOTIFICATION_EXT
Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY_EXT :

See Also:
  - Constant Field Values

## Method Details

### glGetGraphicsResetStatusEXT

public static int glGetGraphicsResetStatusEXT()

### glReadnPixelsEXT

public static void glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, ByteBuffer data)

### glReadnPixelsEXT

public static void glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, FloatBuffer data)

### glReadnPixelsEXT

public static void glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, IntBuffer data)

### glReadnPixelsEXT

public static void glReadnPixelsEXT(int x, int y, int width, int height, int format, int type, ShortBuffer data)

### glGetnUniformEXT

public static void glGetnUniformEXT(int program, int location, FloatBuffer params)

### glGetnUniformEXT

public static void glGetnUniformEXT(int program, int location, IntBuffer params)